# 32-bit package guidelines (Português)

From ArchWiki
Jump to navigation Jump to search
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
Status de tradução: Esse artigo é uma tradução de 32-bit package guidelines. Data da última tradução: 2019-06-19. Você pode ajudar a sincronizar a tradução, se houver alterações na versão em inglês.

Software legado 32 bits pode ser compilado e instalado em máquinas de outra arquitetura nativa, como x86_64. Esse artigo explica a produção e convenções de tais pacotes.

## Nomenclatura de pacote

- Prefixe versões 32 bits de pacotes nativos com lib32-.

- Sufixe pacotes que usam ABI x32 com -x32.

- Descrições de pacotes devem distingui-las das contrapartes nativas, p.ex., `pkgdesc+=" (32-bit)"`.

## Variáveis e parâmetros

### lib32

Especifique essas variáveis bash em um PKGBUILD para dizer ao compilador para gerar código em 32 bits:

    export CFLAGS+=" -m32"
    export CXXFLAGS+=" -m32"
    export LDFLAGS+=" -m32"
    export PKG_CONFIG_PATH='/usr/lib32/pkgconfig'

#### Colocação de arquivos

Certifique-se que arquivos de pacotes lib32 não conflitem com os arquivos de pacote nativo e que incluam todos os arquivos necessários, tal como "includes" específicos de arquitetura. Por exemplo, se um pacote compila usando GNU Autoconf, especifique o seguinte `configure`:

    --program-suffix="-32" \
    --lib{exec,}dir=/usr/lib32 \
    --includedir=/usr/include/"$pkgbase"32 \
    --build=i686-pc-linux-gnu

### x32

This article or section needs expansion.

Reason: Adicionar qualquer informação sobre como pacotes x32 podem ser compilados aqui. (Discuss in Talk:32-bit package guidelines (Português)#-x32?)
Category:

- Arch package guidelines (Português)

Hidden category:

- Pages or sections flagged with Template:Expansion